Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Public Member Functions | List of all members
EzSystems\PlatformInstallerBundle\Installer\Installer Interface Reference

Interface Installer. More...

Inheritance diagram for EzSystems\PlatformInstallerBundle\Installer\Installer:

## Public Member Functions
| importSchema ()
| Handle inserting of schema. More...
| importData ()
| Handle inserting of sql dump, sql dump should ideally be in ISO SQL format. More...
| createConfiguration ()
| importBinaries ()
| Handle optional import of binary files to var folder. More...

## Detailed Description

Interface Installer.

Simple SQL based installer interface for eZ Platform 1.0, will be replaced by a new interface in the future that uses API/SPI (via future import/export functionality) to support cluster and several different storage engines. Such change will also move responsibility of repository init (base schema and minimal data) to storage engine so this is not in installers. Further info: https://jira.ez.no/browse/EZP-25368

Definition at line 17 of file Installer.php.

## Member Function Documentation

## ◆ createConfiguration()

EzSystems\PlatformInstallerBundle\Installer\Installer::createConfiguration | ( |  | ) |

Deprecated:
  Inactive since 6.1, further info: https://jira.ez.no/browse/EZP-25369

Implemented in EzSystems\PlatformInstallerBundle\Installer\CoreInstaller, and EzSystems\PlatformInstallerBundle\Installer\CleanInstaller.

## ◆ importBinaries()

EzSystems\PlatformInstallerBundle\Installer\Installer::importBinaries | ( |  | ) |

Handle optional import of binary files to var folder.

Implemented in EzSystems\PlatformInstallerBundle\Installer\CoreInstaller, and EzSystems\PlatformInstallerBundle\Installer\CleanInstaller.

## ◆ importData()

EzSystems\PlatformInstallerBundle\Installer\Installer::importData | ( |  | ) |

Handle inserting of sql dump, sql dump should ideally be in ISO SQL format.

Implemented in EzSystems\PlatformInstallerBundle\Installer\CoreInstaller, and EzSystems\PlatformInstallerBundle\Installer\CleanInstaller.

## ◆ importSchema()

EzSystems\PlatformInstallerBundle\Installer\Installer::importSchema | ( |  | ) |

Handle inserting of schema.

Implemented in EzSystems\PlatformInstallerBundle\Installer\CoreInstaller, and EzSystems\PlatformInstallerBundle\Installer\CleanInstaller.

The documentation for this interface was generated from the following file:

- Installer.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.